Download it now!
Bug 127033 - Font in Spelling and Grammar Check of Writer
Summary: Font in Spelling and Grammar Check of Writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisectRequest, regression
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2019-08-19 17:00 UTC by kontaktak
Modified: 2019-09-17 23:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kontaktak 2019-08-19 17:00:03 UTC
Description:
Font in Spelling and Grammar Check of Writer is a serif version that can't be changed. Even of all other settings are non-serid, it stays (Liberation) serif

Error since 6.3.0.4
Windows 64 and Linux 64 versions
Country version: NL (Dutch)

Steps to Reproduce:
1. upgrade from 6.2.5.2 
2. remove - reboot - new install


Actual Results:
Both cases LO Writer will show text in Spelling and Grammar box as Serif one

Expected Results:
Used font in Writer is Liberation Sans - Spelling and Grammar Box should use that as well


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 am_dxer 2019-08-19 18:54:29 UTC
I just bisected a bug relating to accessibility in the spell check dialog. Since the spell check dialog was welded, accessibility regressed and maybe this commit caused the same problem. There are small issues like this that crop up but having the modern dialogs provides so many benefits and working through the issues is a minor difficulty for a good cause. Can someone check if this commit causes the regression? I am totally blind so can't do it.

commit 243b5b392906042ab03800e0b5765e6f3513372c
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Fri Jun 14 21:56:44 2019 +0100

    weld SpellDialog
    
    a) use EditEngine instead of TextEngine as the former can be hosted in a
       foreign widget
    b) use a SfxGrabBagItem to hold the custom spellchecking info inside the
       EditEngine
    c) in longer paragraphs the current word is now auto-scrolled into view
    d) rename Invalidate to InvalidateDialog
Comment 2 Dieter 2019-08-25 20:22:29 UTC
I confirm it with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 3e64065612acec2eb29aa21e2b515953422256d7
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-08-15_22:57:26
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

cc: Caolán McNamara <caolanm@redhat.com>
Comment 3 Caolán McNamara 2019-09-05 08:14:23 UTC
Its the default editengine font which is the same default font used for documents. Not sure that it constitutes a bug vs a change.
Comment 4 Caolán McNamara 2019-09-05 08:20:19 UTC
calc format->page->header->edit uses the same underlying widget for its three "areas" and also uses the default document font there in, e.g., 6.1 so presumably changing all of those editengine in widget case fonts to the ui font would be seen as a regression so the change looked for here should presumably be restricted to the spell checking one
Comment 5 Caolán McNamara 2019-09-05 09:02:49 UTC
https://gerrit.libreoffice.org/#/c/78632/
Comment 6 Commit Notification 2019-09-05 10:45:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/aae9f2765036569901ec0924ac16ac1f6d91ef48%5E%21

Resolves: tdf#127033 use UI font for spell checking widget

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2019-09-05 12:26:21 UTC
fixed in master, backport to 6-3 in gerrit
Comment 8 Dieter 2019-09-16 12:28:18 UTC
Verified with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: f0c832acb53326ccc9a8c1a47401fbc9e1081feb
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-11_05:46:53
Locale: en-GB (de_DE); UI-Language: en-US
Calc: threaded

Caolán, thanks for fixing it!
Comment 9 Commit Notification 2019-09-17 23:31:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/1da1bf44a7220637d13fa07dff5327e5e1bc7bc1

Resolves: tdf#127033 use UI font for spell checking widget

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.